Loading...
Searching...
No Matches
delegate_cpp11.h File Reference
`#include "../platform.h"`
`#include "../error_handler.h"`
`#include "../exception.h"`
`#include "../function_traits.h"`
`#include "../optional.h"`
`#include "../type_list.h"`
`#include "../type_traits.h"`
`#include "../utility.h"`

Go to the source code of this file.

## Classes

class | etl::delegate_exception
| The base class for delegate exceptions. More...
class | etl::delegate_uninitialised
| The exception thrown when the delegate is uninitialised. More...
struct | etl::delegate_tag
struct | etl::is_delegate< T >
| is_delegate More...
class | etl::delegate< TReturn(TArgs...)>
| Specialisation. More...
union | etl::delegate< TReturn(TArgs...)>::invocation_element::ptr_type
| Storage holding either an object pointer or a function pointer. More...

## Namespaces

namespace | etl